package fitconnect.api.domain.metadata.data;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * Beschreibt das Signaturformt und Profile
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "signatureFormat",
        "eidasAdesProfile",
        "detachedSignature",
        "content"
})
@Getter
@Setter
public class Signature {

    @JsonProperty("signatureFormat")
    SignatureFormat signatureFormat;

    @JsonProperty("eidasAdesProfile")
    EidasAdesProfile eidasAdesProfile;

    @JsonProperty("detachedSignature")
    Boolean detachedSignature;

    @JsonProperty("content")
    String content;

    @JsonIgnore
    Map<String, Object> additionalProperties;
}

